package ink.wgink.module.activiti.pojo.vos.oa.page;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName: ConfirmAssigneeVO
 * @Description: 确认代理人
 * @Author: wanggeng
 * @Date: 2022/4/18 20:10
 * @Version: 1.0
 */
public class ConfirmAssigneeVO {

    private String nodeType;
    private String assigneeType;
    private String formAssigneeField;
    private String btnText;
    private String btnExc;
    private Boolean isNextEndEvent;
    private List<AssigneeVO> assignees;

    public String getNodeType() {
        return nodeType == null ? "" : nodeType.trim();
    }

    public void setNodeType(String nodeType) {
        this.nodeType = nodeType;
    }

    public String getAssigneeType() {
        return assigneeType == null ? "" : assigneeType.trim();
    }

    public void setAssigneeType(String assigneeType) {
        this.assigneeType = assigneeType;
    }

    public String getFormAssigneeField() {
        return formAssigneeField == null ? "" : formAssigneeField.trim();
    }

    public void setFormAssigneeField(String formAssigneeField) {
        this.formAssigneeField = formAssigneeField;
    }

    public String getBtnText() {
        return btnText == null ? "提交" : btnText.trim();
    }

    public void setBtnText(String btnText) {
        this.btnText = btnText;
    }

    public String getBtnExc() {
        return btnExc == null ? "" : btnExc.trim();
    }

    public void setBtnExc(String btnExc) {
        this.btnExc = btnExc;
    }

    public Boolean getNextEndEvent() {
        return isNextEndEvent;
    }

    public void setNextEndEvent(Boolean nextEndEvent) {
        isNextEndEvent = nextEndEvent;
    }

    public List<AssigneeVO> getAssignees() {
        return assignees = assignees == null ? new ArrayList<>() : assignees;
    }

    public void setAssignees(List<AssigneeVO> assignees) {
        this.assignees = assignees;
    }

    public static class AssigneeVO {
        private String userId;
        private String userUsername;
        private String userName;
        private String avatar;

        public String getUserId() {
            return userId == null ? "" : userId.trim();
        }

        public void setUserId(String userId) {
            this.userId = userId;
        }

        public String getUserUsername() {
            return userUsername == null ? "" : userUsername.trim();
        }

        public void setUserUsername(String userUsername) {
            this.userUsername = userUsername;
        }

        public String getUserName() {
            return userName == null ? "" : userName.trim();
        }

        public void setUserName(String userName) {
            this.userName = userName;
        }

        public String getAvatar() {
            return avatar == null ? "" : avatar.trim();
        }

        public void setAvatar(String avatar) {
            this.avatar = avatar;
        }
    }

}
